#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/preinstall.sh - python3-pycairo-common-dev preinstallation
#
# Creation   :  2022-05-17 holbru
# Last update:  $Id: preinstall.sh 96156 2022-05-17 14:42:57Z hbfl $
#
# Copyright (c) 2022-2023 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=python3-pycairo-common-dev

# ---------------------------------------------------------------------------
# update system
# ---------------------------------------------------------------------------
installed=$(eisman check python3-pycairo-dev 3.2.5)

if [ "${installed}" = "new" ]
then
    if [ -f /etc/filelist.d/python3-pycairo-dev-files.txt ]
    then
        sed -i '/usr\/include/d' /etc/filelist.d/python3-pycairo-dev-files.txt
        sed -i '/usr\/lib\/pkgconfig/d' /etc/filelist.d/python3-pycairo-dev-files.txt
    fi
fi

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
